#!/bin/bash
# named + dbus support.  Require the -D to be turned on
r=0
logger='echo'
if [ -x /usr/bin/logger ]; then
	logger='/usr/bin/logger -s -t '"$0"' -p daemon.info'
fi
namedOptions=`grep '^OPTIONS=' /etc/sysconfig/named`;
if [ -n "$namedOptions" ]; then
	if ! echo "$namedOptions" | egrep -q '[\ ='"'"'"]*-D[\ ='"'"'"]*'; then
		sed 's/^OPTIONS=.*$/OPTIONS='"'${namedOptions#OPTIONS=} -D'"'/' < /etc/sysconfig/named > /etc/sysconfig/named.dbus
		r=$?;
		/bin/mv -f /etc/sysconfig/named /etc/sysconfig/named.pre-NetworkManager
		/bin/mv -f /etc/sysconfig/named.dbus /etc/sysconfig/named;
		[ $r -eq 0 ] && r=$?;
		if [ $r -eq 0 ]; then
			$logger "Enabled named -D option in /etc/sysconfig/named";
			/sbin/service named condrestart;
		else
			$logger "named dbus support disabled: you must enable the named -D option in /etc/sysconfig/named";
		fi
	fi
else
	/bin/cp -f /etc/sysconfig/named /etc/sysconfig/named.pre-NetworkManager
	echo 'OPTIONS=-D'>> /etc/sysconfig/named;
	r=$?
	if [ $r -eq 0 ]; then 
		$logger "Enabled named -D option in /etc/sysconfig/named";
		/sbin/service named condrestart;
	else
		logger "named dbus support disabled: you must enable the named -D option in /etc/sysconfig/named";
	fi
fi
